<div class="container col-md-8 offset-md-2">
  <div class="col-md-4 offset-md-4">
    <h2 class="text-center">Sign up</h2>
  </div>

  <%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f|%>
    <%= render "devise/shared/error_messages", resource: resource %>

    <div class="row">
      <div class="col-sm-6">
        <div class="field form-group">
          <%= f.label :firstname %><br />
          <%= f.text_field :firstname, class:"form-control", placeholder: "First Name" %>
        </div>
      </div>
      <div class="col-sm-6">
        <div class="field form-group">
          <%= f.label :lastname %><br />
          <%= f.text_field :lastname, class:"form-control", placeholder: "Last Name"%>
        </div>
      </div>
    </div>

    <div class="field form-group">
      <%= f.label :username %><br />
      <%= f.text_field :username, class:"form-control", placeholder: "Username" %>
    </div>

    <div class="field form-group">
      <%= f.label :email %><br />
      <%= f.email_field :email, autocomplete: "email", class:"form-control", placeholder: "Email" %>
    </div>

    <div class="field form-group">
      <%= f.label :password %>
      <% if @minimum_password_length %>
      <em>(<%= @minimum_password_length %> characters minimum)</em>
      <% end %><br />
      <%= f.password_field :password, autocomplete: "new-password", class:"form-control", placeholder: "Password" %>
    </div>

    <div class="field form-group">
      <%= f.label :password_confirmation %><br />
      <%= f.password_field :password_confirmation, autocomplete: "new-password", class:"form-control", placeholder: "Confirm Password" %>
    </div>

    <div class="col-md-4 offset-md-4">
      <div class="actions form-group">
        <%= f.submit "Sign up", class: "btn btn-primary btn-block" %>
      </div>
    </div>
  <% end %>

  <%= render "devise/shared/links" %>
</div>